Subject: Re: bug#72045: [PATCH RFC 1/2] gnu: emacs: Compute ABI hash and native version dir without version.

From: Suhail Singh <[email-masked]>
Date: Sat, 13 Jul 2024 12:08:02 -0400

Liliana Marie Prikler <[email-masked]> writes:

> this is a somewhat experimental patch, which reduces Vcomp_native_version_dir
> to simply Vcomp_abi_hash.  Note, that this is not enough to address the
> issues currently noticed with Emacs native compilation, as Vcomp_abi_hash
> is unstable between 29.3 and 29.4.  These hashes are probably unlikely
> to stay the same between minor releases even when dropping the version.

I am confused as to what this change is intended to accomplish in that
case.  Specifically, while this patch may be _necessary_ to allow both
grafts and native-compilation to work since it isn't _sufficient_ to
accomplish that, it may be better to withhold the patch till a later
time when an appropriate fix for dealing with grafts has been found.

-- 
Suhail